Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class DisplacementMapRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.DisplacementMapRed

All Implemented Interfaces:
  RenderedImage, CachableRed

    public class DisplacementMapRed

extends AbstractRed

This implementation of RenderableImage will render its input GraphicsNode on demand for tiles.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`DisplacementMapRed(CachableRed image, CachableRed offsets, ARGBChannel xChannel, ARGBChannel yChannel, float scaleX, float scaleY, RenderingHints rh)`

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`void` | `filterBL(Raster off, WritableRaster dst, int[] xTile, int[] xOff, int[] yTile, int[] yOff)`
`void` | `filterBLPre(Raster off, WritableRaster dst, int[] xTile, int[] xOff, int[] yTile, int[] yOff)`
`void` | `filterNN(Raster off, WritableRaster dst, int[] xTile, int[] xOff, int[] yTile, int[] yOff)` Does displacement map using Nearest neighbor interpolation
`Raster` | `getTile(int tileX, int tileY)`
`org.apache.batik.ext.awt.image.rendered.DisplacementMapRed.TileOffsets` | `getXOffsets(int xTile)`
`org.apache.batik.ext.awt.image.rendered.DisplacementMapRed.TileOffsets` | `getYOffsets(int yTile)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplacementMapRed

    public DisplacementMapRed(CachableRed image,
                              CachableRed offsets,
                              ARGBChannel xChannel,
                              ARGBChannel yChannel,
                              float scaleX,
                              float scaleY,
                              RenderingHints rh)

Parameters:
  `image` - the image to distort
  `offsets` - the displacement map
  `xChannel` - defines the channel of off whose values will be on X-axis operation
  `yChannel` - defines the channel of off whose values will be
  `scaleX` - defines the scale factor of the filter operation on the X axis.
  `scaleY` - defines the scale factor of the filter operation on the Y axis
  `rh` - the rendering hints

Method Detail

### copyData

    public WritableRaster copyData(WritableRaster wr)

### getTile

    public Raster getTile(int tileX,
                          int tileY)

  Specified by:
    `getTile` in interface `RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### getXOffsets

    public org.apache.batik.ext.awt.image.rendered.DisplacementMapRed.TileOffsets getXOffsets(int xTile)

### getYOffsets

    public org.apache.batik.ext.awt.image.rendered.DisplacementMapRed.TileOffsets getYOffsets(int yTile)

### filterBL

    public void filterBL(Raster off,
                         WritableRaster dst,
                         int[] xTile,
                         int[] xOff,
                         int[] yTile,
                         int[] yOff)

### filterBLPre

    public void filterBLPre(Raster off,
                            WritableRaster dst,
                            int[] xTile,
                            int[] xOff,
                            int[] yTile,
                            int[] yOff)

### filterNN

    public void filterNN(Raster off,
                         WritableRaster dst,
                         int[] xTile,
                         int[] xOff,
                         int[] yTile,
                         int[] yOff)

  Does displacement map using Nearest neighbor interpolation

  Parameters:
    `off` - the displacement map
    `dst` - stores the filtered image. If null, a destination will be created. img and dst can refer to the same Raster, in which situation the img will be modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.